Bug 254120 - Netboot with ppc64.img fails booting [NEEDINFO]
Netboot with ppc64.img fails booting
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-24 06:04 EDT by Martin Bachmaier
Modified: 2009-01-09 02:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:13:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jonstanley: needinfo? (mbachmaier)


Attachments (Terms of Use)
Failed boot-log on JS21 with FW level MB245_300 (1.73 KB, text/plain)
2007-10-10 12:03 EDT, Jochen Roth
no flags Details
Failed boot-log on JS21 with latest FW level MB246_060 (1.74 KB, text/plain)
2007-10-10 12:19 EDT, Jochen Roth
no flags Details

  None (edit)
Description Martin Bachmaier 2007-08-24 06:04:15 EDT
Description of problem:
Everytime I try to netboot the ppc64.img file, the image is fetched from the
tftp server, but then the system immediately tells me "No Operating Systems
Installed".
(ppc32.img file starts but fails since this is a 64bit machine)


How reproducible:
Try to netboot the file images/netboot/ppc64.img

  
Actual results:
Box telling "No Operating Systems Installed"
No network installation possible.

Expected results:
Start of installation
Comment 1 Martin Bachmaier 2007-10-08 10:12:22 EDT
The problem still exists with Fedora 8 Test 3.

Changes to the original entry: now the ppc32.img shows the same error message
("No Operating Systems Installed").
Comment 2 Jochen Roth 2007-10-10 12:03:18 EDT
Created attachment 222741 [details]
Failed boot-log on JS21 with FW level MB245_300
Comment 3 Jochen Roth 2007-10-10 12:19:01 EDT
Created attachment 222751 [details]
Failed boot-log on JS21 with latest FW level MB246_060

This is a part of the error log (with the latest available firmware for JS21). 


FILE	    : ppc64.img
BLKSIZE     : 512 
TFTP-RETRIES: 5 
FINAL PACKET COUNT = 21012 
FINAL FILE SIZE = 10758004  BYTES
CLAIM failed
Call History
------------
throw  - c3903c 
$call-method  - c467c8 
(poplocals)  - c3a758 
(init-program)	- c7fe10 
boot  - c80afc 
evaluate  - c4a148 
invalid pointer - e72215 
invalid pointer - 7 
invalid pointer - 7 
quit  - c4a7ec 
quit  - c4a5f0
Comment 4 Jon Stanley 2007-12-30 00:25:26 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 5 Jon Stanley 2008-01-07 18:59:11 EST
Closing per previous comment.  If you can provide the requested information,
please feel free to re-open this bug.
Comment 6 Jim Lindeman 2008-06-25 14:35:32 EDT
The issue is because the ELF-header at the beginning of the Linux image has an
inappropriate value for the "real-base" setting, which tells where Open Firmware
should sit in memory.  The Linux image is downloaded starting at address 0x4000
("load-base" setting also in the ELF-header), and if the "real-base" is not set
high enough for the OS image to fit, the download will fail.  In this particular
error above, the "real-base" setting was still at 12Mb (0xC00000).  Note that
while the OS binary would still fit (was just under 11Mb), the "program image
size" (which includes the BSS section, not in the binary), would overflow above
the 12Mb threshold and that's why the "CLAIM failed". 

AIX sets the "real-base" in their ELF header to 32Mb (0x2000000), so they don't
ever hit this issue.  This is a bug for Fedora to fix.
Comment 7 Chuck Ebbert 2008-06-30 15:54:06 EDT
Adding cc: as I have no idea how to fix this.
Comment 8 Bug Zapper 2008-11-26 02:42:41 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-01-09 02:13:22 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.